#
# spec file for package pgjdbc-ng
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pgjdbc-ng
Version:        0.8.7
Release:        4.64
Summary:        A new JDBC driver for PostgreSQL
License:        BSD-3-Clause
Group:          Development/Libraries/Java
URL:            http://impossibl.github.io/pgjdbc-ng/
Source0:        pgjdbc-ng-0.8.7.tar.gz
Source1:        build.sh
Source2:        pgjdbc-ng-0.8.7.pom
Source3:        spy-0.8.7.pom
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  x86_64
BuildRequires: xmvn-tools
BuildRequires: xmvn-minimal
BuildRequires:  java-devel
BuildRequires:  xz
BuildRequires:  javapackages-local
%if 0%{?rhel} >= 9
BuildRequires:  xmvn-tools
BuildRequires:  xmvn-minimal
%else
BuildRequires:  xmvn-install
BuildRequires:  xmvn-resolve
%endif
BuildRequires:  netty
BuildArch:      noarch
Requires:       java

%description
A new JDBC driver for PostgreSQL aimed at supporting the advanced features of JDBC and Postgres.

%prep
%setup -q -c -n src
cp -f %{SOURCE1} .

cp %{SOURCE2} pgjdbc-ng.xml
cp %{SOURCE3} spy.xml

%pom_xpath_remove "pom:dependency[pom:artifactId='netty-transport-native-kqueue']" pgjdbc-ng.xml
%pom_xpath_remove "pom:dependency[pom:artifactId='netty-transport-native-epoll']" pgjdbc-ng.xml

%build
cd ..
sh src/build.sh

cd src
%{mvn_artifact} pgjdbc-ng.xml pgjdbc-ng-0.8.7/driver/build/libs/pgjdbc-ng-0.8.7.jar
%{mvn_artifact} spy.xml pgjdbc-ng-0.8.7/spy/build/libs/spy-0.8.7.jar

%install
%mvn_install

%files -f .mfiles
%license %{name}-%{version}/LICENSE 

%changelog
* Sat Jun 11 2022 Michael Calmer <mc@suse.com>
- install maven pom files
  Add:
  * pgjdbc-ng-0.8.7.pom
  * spy-0.8.7.pom
* Fri Dec 10 2021 Michael Calmer <mc@suse.com>
- Update to 0.8.7
  * support new postgresql default authentication
  * For more information see
    https://impossibl.github.io/pgjdbc-ng/docs/0.8.7/release-notes/
- Remove:
  * 0001-Upgrade-Gradle-to-6.1.1.patch
  * 0002-Latest-netty.patch
* Mon Feb 10 2020 Silvio Moioli <moio@suse.com>
- Update to 0.8.3
- Remove:
  * 0001-Allow-dots-in-database-name-bsc-1146416.patch
- Add:
  * 0001-Upgrade-Gradle-to-6.1.1.patch
  * 0002-Latest-netty.patch
* Fri Aug 23 2019 moio@suse.com
- Allow dots in database name (bsc#1146416)
- Added:
  * 0001-Allow-dots-in-database-name-bsc-1146416.patch
* Tue Sep 11 2018 moio@suse.com
- New JDBC driver for PostgreSQL required for bsc#1099988
- Initial version
